PTHREAD_GETCPUCLOCKID(3)

NAME
pthread_getcpuclockid - access a thread CPU-time clock

LIBRARY
libpthread

SYNOPSIS
#include <pthread.h>
#include <time.h>
int
pthread_getcpuclockid(pthread_t thread_id, clockid_t *clock_id);

DESCRIPTION
The pthread_getcpuclockid() returns the clock ID of the CPU-time clock of the thread specified by thread_id, if the thread described by thread_id exists.

RETURN VALUES
Upon successful completion, pthread_getcpuclockid() returns zero; otherwise, an error number is returned to indicate the error.

ERRORS
The pthread_getcpuclockid() function will fail if:

[ESRCH]
    The value specified by thread_id does not refer to an existing thread.

SEE ALSO
clock_gettime(2)

STANDARDS
The pthread_getcpuclockid() function conforms to p1003.1-2004.

HISTORY
The pthread_getcpuclockid() function first appeared in FreeBSD 10.0.

AUTHORS
David Xu <davidxu@FreeBSD.org>